Subject: Re: using multicast socket options
From: [email-masked] ("Bruce D. McLeod")

28 Apr 1997 18:34:01 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: "Andrew Patrick" <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

I've reported this before.  The constant for IP_ADD_MEMBERSHIP
is incorrect.  Try just hardcoding the constant 5.

Bruce

At 03:19 PM 4/25/97 +0000, Andrew Patrick wrote:
>I am trying to port a UNIX multicast application to Win32 and the 
>GNU-Win32 development tools are of interest to me because of the 
>familiar environment they provide.
>
>I have run into a problem with the setsockopt() call.  Here is the 
>code fragment I am using.
>
>if (setsockopt(s, IPPROTO_IP, IP_ADD_MEMBERSHIP, 
>     (char *)&mreq, sizeof(mreq)) < 0)   
>  {
>  perror("IP_ADD_MEMBERSHIP");
>  exit(1);
>  }
>
>The problem is that this code compiles fine but produces a run-time 
>error of "This option is unsupported".  Not being familiar with the 
>GNU compile tools, and the Win32 environment in general, I don't know 
>where this message is coming from.  Is this a limitation of the 
>GNU-Win32 libraries?  Is there something I can do to get multicast 
>support in my GNU-Win32 programs?
>
>Thanks
>
>
>---
>Andrew Patrick <[email-masked]>
>Communications Research Centre   http://debra.dgbt.doc.ca/~andrew/
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".